aboutsummaryrefslogtreecommitdiffstats
path: root/lfs.sh
diff options
context:
space:
mode:
authorWilliam Harrington <kb0iic@berzerkula.org>2021-04-02 11:22:52 -0500
committerWilliam Harrington <kb0iic@berzerkula.org>2021-04-02 11:22:52 -0500
commit5613c139acabd18c525cfc48a157f368ceb296de (patch)
tree299258025e3bd1a3399a8c6a16f15227ee865e16 /lfs.sh
parent315ce2397efab99a8a15cd2bb73367b00f178418 (diff)
Exit if creationg of LFS target directory fails.
Diffstat (limited to 'lfs.sh')
-rwxr-xr-xlfs.sh11
1 files changed, 9 insertions, 2 deletions
diff --git a/lfs.sh b/lfs.sh
index c2bcc07..2403870 100755
--- a/lfs.sh
+++ b/lfs.sh
@@ -44,9 +44,16 @@ else
exit 1
fi
-printf "%b" "${GRN}Creating LFS directory at ${YLW}${LFS}${GRN} if it does not exist...${RST}\n"
# Create LFS directory if it doesn't exist
-[[ -d /mnt/lfs ]] || sudo mkdir "${LFS}"
+printf "%b" "${GRN}Creating LFS directory at ${YLW}${LFS}${GRN}... ${RST}"
+if [[ -d "${LFS}" ]]; then
+ printf "%b" "${IGRN}EXISTS${RST}\n"
+else
+ if ! mkdir "${LFS}" >/dev/null 2>&1; then
+ printf "%b" "${IRED}FAILED!${RST}\n"
+ exit 1
+ fi
+fi
# Setup partition, filesystem, format and mount if
# LFS filesystem is not previously mounted